Add Template Section
curl --request POST \
--url https://api.artosai.com/api/v1/templates/{template_id}/sections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"section_name": "3. Safety Summary",
"level": 1,
"order_index": 2
}
'import requests
url = "https://api.artosai.com/api/v1/templates/{template_id}/sections"
payload = {
"section_name": "3. Safety Summary",
"level": 1,
"order_index": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({section_name: '3. Safety Summary', level: 1, order_index: 2})
};
fetch('https://api.artosai.com/api/v1/templates/{template_id}/sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artosai.com/api/v1/templates/{template_id}/sections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'section_name' => '3. Safety Summary',
'level' => 1,
'order_index' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artosai.com/api/v1/templates/{template_id}/sections"
payload := strings.NewReader("{\n \"section_name\": \"3. Safety Summary\",\n \"level\": 1,\n \"order_index\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artosai.com/api/v1/templates/{template_id}/sections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"section_name\": \"3. Safety Summary\",\n \"level\": 1,\n \"order_index\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artosai.com/api/v1/templates/{template_id}/sections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"section_name\": \"3. Safety Summary\",\n \"level\": 1,\n \"order_index\": 2\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"section_id": "<string>",
"template_id": "<string>",
"section_name": "<string>",
"level": 123,
"order_index": 123
}Templates
Add Template Section
Add a new section to an existing template.
POST
/
api
/
v1
/
templates
/
{template_id}
/
sections
Add Template Section
curl --request POST \
--url https://api.artosai.com/api/v1/templates/{template_id}/sections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"section_name": "3. Safety Summary",
"level": 1,
"order_index": 2
}
'import requests
url = "https://api.artosai.com/api/v1/templates/{template_id}/sections"
payload = {
"section_name": "3. Safety Summary",
"level": 1,
"order_index": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({section_name: '3. Safety Summary', level: 1, order_index: 2})
};
fetch('https://api.artosai.com/api/v1/templates/{template_id}/sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artosai.com/api/v1/templates/{template_id}/sections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'section_name' => '3. Safety Summary',
'level' => 1,
'order_index' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artosai.com/api/v1/templates/{template_id}/sections"
payload := strings.NewReader("{\n \"section_name\": \"3. Safety Summary\",\n \"level\": 1,\n \"order_index\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artosai.com/api/v1/templates/{template_id}/sections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"section_name\": \"3. Safety Summary\",\n \"level\": 1,\n \"order_index\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artosai.com/api/v1/templates/{template_id}/sections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"section_name\": \"3. Safety Summary\",\n \"level\": 1,\n \"order_index\": 2\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"section_id": "<string>",
"template_id": "<string>",
"section_name": "<string>",
"level": 123,
"order_index": 123
}Authorizations
Body
application/json
Response
Section added successfully